This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 843100 - ovirt-engine-backend [RACE]: we are not blocking reconstruct on domains during spm recontend
ovirt-engine-backend [RACE]: we are not blocking reconstruct on domains durin...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: 3.1.0
Assigned To: mkublin
Dafna Ron
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 11:23 EDT by Dafna Ron
Modified: 2016-02-10 11:53 EST (History)
11 users (show)

See Also:
Fixed In Version: si16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:59:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (209.23 KB, application/x-gzip)
2012-07-25 11:23 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-07-25 11:23:22 EDT
Created attachment 600327 [details]
logs

Description of problem:

I was able to put spm host in maintenance (som recontends on second host) while putting master domain in maintenance (reconstruct master domain). 

Version-Release number of selected component (if applicable):

si11

How reproducible:

100%

Steps to Reproduce:
1. put spm host in maintenance -> put master domain in maintenance 
2.
3.
  
Actual results:

we try to reconstruct the master domain while pool is still connected 
vdsm will fail with below error: 

StoragePoolConnected: Cannot perform action while storage pool is connected: ('ddab0f18-db34-437c-8826-fb91643d5ef3',)

we also do not automatically recover and we need to disconnect the pool manually (or put new spm in maintenance and activate again). 

Expected results:

backend should block reconstruct while spm is recontending. 

Additional info: vdsm and backend logs
Comment 2 mkublin 2012-07-31 02:59:31 EDT
I am agree with a bug, bt I am not agree that these regression, no one never tried to do these before. I think keyword Regression can be removed
Comment 5 mkublin 2012-08-14 08:31:07 EDT
http://gerrit.ovirt.org/7172
Comment 6 mkublin 2012-08-21 05:02:14 EDT
merged upstream
Comment 8 Allon Mureinik 2012-08-28 05:24:43 EDT
Merged change-id Ia929d8cfab5904cb8e66d18cf50e037d36d8d373
Comment 9 Dafna Ron 2012-09-02 05:17:34 EDT
verified on si16

Note You need to log in before you can comment on or make changes to this bug.